summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2020-05-10 11:11:11 +0200
committerThomas Deutschmann <whissi@gentoo.org>2020-05-10 11:12:35 +0200
commitbbd4e42ec468b3c19c9019c8599544f4bd2a7eb1 (patch)
treead64550cc1dc0f1ecc0bed3c13452ae640d3c28d /sys-kernel/rt-sources
parentsys-kernel/rt-sources: Add rt sources 4.19.120-rt52 (diff)
downloadgentoo-bbd4e42ec468b3c19c9019c8599544f4bd2a7eb1.tar.gz
gentoo-bbd4e42ec468b3c19c9019c8599544f4bd2a7eb1.tar.bz2
gentoo-bbd4e42ec468b3c19c9019c8599544f4bd2a7eb1.zip
sys-kernel/rt-sources: Add rt sources 4.9.220-rt143
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'sys-kernel/rt-sources')
-rw-r--r--sys-kernel/rt-sources/Manifest2
-rw-r--r--sys-kernel/rt-sources/rt-sources-4.9.220_p143.ebuild54
2 files changed, 56 insertions, 0 deletions
diff --git a/sys-kernel/rt-sources/Manifest b/sys-kernel/rt-sources/Manifest
index d9360baad48..ea40dc2d582 100644
--- a/sys-kernel/rt-sources/Manifest
+++ b/sys-kernel/rt-sources/Manifest
@@ -26,6 +26,8 @@ DIST patch-4.4.215-rt192.patch.xz 195532 BLAKE2B 282ae02d44bbaa594c1f643181107fc
DIST patch-4.4.215.xz 3024904 BLAKE2B f4e76fc1daa488ff8cc4af0b1591fb0587e9845e0938f7e95cbab34b22e4270a1ed7c3ada45e07077f460b9c1c435b10dc80024ebf9f880c0a0892622d19fd2b SHA512 2d5a04cd34264701119f4425d6cfa98a7497bd14fadb4c02760b3f8cc2df6437b92c79d4ae0696cf99ce629d0ae46c00a1497decca4a99b8f61a7f091964f534
DIST patch-4.9.215-rt138.patch.xz 175360 BLAKE2B 4fa32ddb9220a4af10eb2fef27a785218803a55089d6f758bffe85eda5bf3f1cef6f873bd9e6fe8cd8013a2d5249abaec2316ff5707958cf921abd36d0fa55b3 SHA512 5d645410997f9203b75ce114c25a1588ec4e6b99beba5f82c80ee16afb42a0a5e429dd4c943ff30c3184ce5b94483fc0b4bfcf69b56fb11325f3beeca35e68da
DIST patch-4.9.215.xz 3367656 BLAKE2B 7316b3989606f079693beed84f999ec03f83082f8099b3535e622a3324e640722b6f694fc4ec906fe0f1643d5139241ae91424ab97cb7d855263e9b3df8c01b4 SHA512 60a2e0369cd8eede4f7d284afc101950ae1f5ab8e015736c8eb9384a25e844a271b305f96702c3cf07184edf7cb9a4b576fc4aa3f962ab5fd8013aaa0218f69d
+DIST patch-4.9.220-rt143.patch.xz 175820 BLAKE2B 7e17aeafab5c5339ade88dc8dd190a9b8827535da9539c7d4512e55055b7842c0681df743c66c619faa749ff581a1b35250efafed8008e0f63859949c52e2bb4 SHA512 9630ad985e6e408221e0a21188d78b85f85477c852689df0ac6017b4b200d7aeff5afa42fc761a095216184d60c149bb9afddf2d7f7977f8e01250009722b174
+DIST patch-4.9.220.xz 3433216 BLAKE2B 6b6c1affbed06f94c2cbb290fd12e884033697cb233f7729f380014e5c6a724b54e26efbb8791279a307aeaeefddf8b38d1e70280ce96e26dffacef79987c095 SHA512 e1165dff5d95c0811bbc7956f9fb7b4c4a6c6aadba4af2819fa076107eebc53221f1826e9bec5ddb12037b75fb579f51630fe3e9e80e2316a2c76d1e5902a688
DIST patch-5.4.13-rt7.patch.xz 174408 BLAKE2B f16864ce308e365c18337cd2aea6655b90a985e98021f37c04bd85716e5aa473346992ce2b76fab3d6f2562c6328e2f92b7241f974bae6e86de4c28e65619ca4 SHA512 c8f339d0ec0be917cf12699d3700998acf7fbb2c420d8fcb758e20fd35b0766ce267af74e259b7dcdb624b3a878dca70fee39d98eb35813bdfc62a7b2a781fa5
DIST patch-5.4.13.xz 488380 BLAKE2B f4f707ec221bcd1fa2b68591cb8dabffd214b6dfcb0f6dc913a1e73fa2ccf5b49de5e50da483d36246aa14e8217ac1a692db18957d85ed70bd9b177f93130632 SHA512 e500486d372b242fb8fbffc780fb0a842012d699bb494c29a392befe0fd06e4858d89d995b71627e65eb93bf53af9f7bf37e8cbaa3d9356fc00356d81fbc893c
DIST patch-5.4.34-rt21.patch.xz 182396 BLAKE2B 5c9abc72cb4982dd14255ef222570b8dab3273e98e62aebe6378a4091d64bfa84f851377122be15d12b6f70edb591e7050d040f3c8d1aa869eca50c9da2c33e4 SHA512 b88977d43ab09108efec211a3e0024ac27d7cfe2cea6d32d5963d0698c11c4bce98312c056be0d6369cadf5aa99f1fcb33712d53cac66b3a42798a0e72dcf62f
diff --git a/sys-kernel/rt-sources/rt-sources-4.9.220_p143.ebuild b/sys-kernel/rt-sources/rt-sources-4.9.220_p143.ebuild
new file mode 100644
index 00000000000..393e767438a
--- /dev/null
+++ b/sys-kernel/rt-sources/rt-sources-4.9.220_p143.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+ETYPE="sources"
+KEYWORDS="~amd64"
+
+HOMEPAGE="https://www.kernel.org/pub/linux/kernel/projects/rt/"
+
+inherit eapi7-ver
+
+CKV="$(ver_cut 1-3)"
+K_SECURITY_UNSUPPORTED="1"
+K_DEBLOB_AVAILABLE="1"
+RT_PATCHSET="${PV/*_p}"
+
+inherit kernel-2
+detect_version
+
+K_BRANCH_ID="${KV_MAJOR}.${KV_MINOR}"
+RT_FILE="patch-${K_BRANCH_ID}.${KV_PATCH}-rt${RT_PATCHSET}.patch.xz"
+RT_URI="https://www.kernel.org/pub/linux/kernel/projects/rt/${K_BRANCH_ID}/${RT_FILE} \
+ https://www.kernel.org/pub/linux/kernel/projects/rt/${K_BRANCH_ID}/older/${RT_FILE}"
+
+DESCRIPTION="Full Linux ${K_BRANCH_ID} kernel sources with the CONFIG_PREEMPT_RT patch"
+SRC_URI="${KERNEL_URI} ${RT_URI}"
+
+KV_FULL="${PVR/_p/-rt}"
+S="${WORKDIR}/linux-${KV_FULL}"
+
+UNIPATCH_LIST="${DISTDIR}/${RT_FILE}"
+UNIPATCH_STRICTORDER="yes"
+
+src_prepare() {
+ default
+
+ # 627796
+ sed \
+ "s/default PREEMPT_NONE/default PREEMPT_RT_FULL/g" \
+ -i "${S}/kernel/Kconfig.preempt" || die "sed failed"
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+ ewarn
+ ewarn "${PN} are *not* supported by the Gentoo Kernel Project in any way."
+ ewarn "If you need support, please contact the RT project developers directly."
+ ewarn "Do *not* open bugs in Gentoo's bugzilla unless you have issues with"
+ ewarn "the ebuilds."
+ ewarn
+}
+
+K_EXTRAEINFO="For more info on rt-sources and details on how to report problems, see: \
+${HOMEPAGE}."